//
//  AppDelegate.m
//  BMKGeofenceOCDemo
//
//  Created by v_chiyuanwei on 2020/7/15.
//  Copyright © 2020 baidu. All rights reserved.
//

#import "AppDelegate.h"

#import "BMKGeofenceController.h"

#import <BaiduMapAPI_Base/BMKBaseComponent.h>
#import <BMKLocationKit/BMKLocationComponent.h>

static NSString *const kBMKKey = @"yFDD3IlfSk2xTdQ0G41MjRnzd5gUVG1C";

@interface AppDelegate () <BMKGeneralDelegate, BMKLocationAuthDelegate>
 
@end

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    // 初始化定位SDK
    [[BMKLocationAuth sharedInstance] checkPermisionWithKey:kBMKKey authDelegate:self];
    
    // 要使用百度地图，先创建BMKMapManager
    BMKMapManager *mapMgr = [[BMKMapManager alloc] init];
    // 启动引擎并设置AK和delegate
    BOOL result = [mapMgr start:kBMKKey generalDelegate:self];
    if (!result) {
        NSLog(@"启动引擎失败");
    }
    
    BMKGeofenceController *vc = [[BMKGeofenceController alloc] init];
    UINavigationController *nav = [[UINavigationController alloc] initWithRootViewController:vc];
    
    self.window = [[UIWindow alloc] initWithFrame:[UIScreen mainScreen].bounds];
    self.window.backgroundColor = [UIColor whiteColor];
    self.window.rootViewController = nav;
    [self.window makeKeyAndVisible];
    
    return YES;
}

#pragma mark - <BMKGeneralDelegate>
/// 联网结果回调
/// @param iError 联网结果错误码信息，0代表联网成功
- (void)onGetNetworkState:(int)iError {
    if (0 == iError) {
        NSLog(@"联网成功");
    } else {
        NSLog(@"联网失败：%d", iError);
    }
}

/// 鉴权结果回调
/// @param iError 鉴权结果错误码信息，0代表鉴权成功
- (void)onGetPermissionState:(int)iError {
    if (0 == iError) {
        NSLog(@"授权成功");
    } else {
        NSLog(@"授权失败：%d", iError);
    }
}

#pragma mark - <BMKLocationAuthDelegate>
/// 返回授权验证错误
/// @param iError 错误号 : 为0时验证通过，具体参加BMKLocationAuthErrorCode
- (void)onCheckPermissionState:(BMKLocationAuthErrorCode)iError {
    if (iError == 0) {
        NSLog(@"定位鉴权成功");
    } else {
        NSLog(@"定位鉴权失败%zd", iError);
    }
}

@end
