//
//  BMKGeofenceMenuView.h
//  BMKGeofenceOCDemo
//
//  Created by v_chiyuanwei on 2020/7/15.
//  Copyright © 2020 baidu. All rights reserved.
//

#import <UIKit/UIKit.h>

#import <BMKLocationkit/BMKLocationComponent.h>

typedef void(^BMKGeofenceMenuViewFenceTypeChangedBloack)(NSInteger fenceType);

NS_ASSUME_NONNULL_BEGIN

@interface BMKGeofenceMenuView : UIView

/// 围栏类型 1：圆 2：多边形
@property (nonatomic, assign, readonly) NSInteger fenceType;
/// 围栏半径
@property (nonatomic, assign, readonly) CGFloat fenceRadius;
/// 围栏ID
@property (nonatomic, copy, readonly) NSString *fenceID;
/// 触发条件
@property (nonatomic, assign, readonly) BMKGeoFenceActiveAction activeAction;
/// 围栏中心
@property (nonatomic, assign) CLLocationCoordinate2D fenceCenterCoord;
/// 多边形围栏边界点
@property (nonatomic, strong) NSMutableArray<NSValue *> *polygonFenceCoords;
/// 选择的坐标信息
@property (nonatomic, copy) NSString *coordsInfoStr;
/// 切换围栏类型
@property (nonatomic, copy) BMKGeofenceMenuViewFenceTypeChangedBloack fenceTypeChangedBlock;

@end

NS_ASSUME_NONNULL_END
