//
//  BMKGeofenceTabView.m
//  BMKGeofenceOCDemo
//
//  Created by v_chiyuanwei on 2020/7/15.
//  Copyright © 2020 baidu. All rights reserved.
//

#import "BMKGeofenceTabView.h"

@interface BMKGeofenceTabView ()

@property (nonatomic, strong) NSArray *titles;

@end

@implementation BMKGeofenceTabView

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        self.backgroundColor = [UIColor colorWithRed:34.f / 255.f green:37.f / 255.f blue:61.f / 255.f alpha:0.5f];
        
        [self setupViews];
    }
    return self;
}

- (void)setupViews {
    NSMutableArray *btns = [NSMutableArray array];
    [self.titles enumerateObjectsUsingBlock:^(NSString *obj, NSUInteger idx, BOOL * _Nonnull stop) {
        UIButton *btn = [UIButton buttonWithType:UIButtonTypeCustom];
        btn.backgroundColor = [UIColor colorWithRed:34.f / 255.f green:37.f / 255.f blue:61.f / 255.f alpha:1.0f];
        [btn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
        btn.titleLabel.font = [UIFont systemFontOfSize:14];
        btn.titleLabel.numberOfLines = 0;
        [btn setTitle:obj forState:UIControlStateNormal];
        if ([obj isEqualToString:@"显示设置"]) {
            [btn setTitle:@"隐藏设置" forState:UIControlStateSelected];
            btn.selected = YES;
        }
        btn.layer.cornerRadius = 4;
        btn.layer.masksToBounds = YES;
        btn.tag = idx;
        [btn addTarget:self action:@selector(tabBtnAction:) forControlEvents:UIControlEventTouchUpInside];
        
        [btns addObject:btn];
    }];
    
    UIStackView *stackView = [[UIStackView alloc] initWithArrangedSubviews:btns];
    stackView.frame = CGRectMake(5, 10, self.frame.size.width - 10, self.frame.size.height - 20);
    stackView.axis = UILayoutConstraintAxisHorizontal;
    stackView.spacing = 5;
    stackView.distribution = UIStackViewDistributionFillEqually;
    [self addSubview:stackView];
}

- (void)tabBtnAction:(UIButton *)btn {
    btn.selected = !btn.selected;
    
    if (self.didClickTabBlock) {
        self.didClickTabBlock(btn.tag, btn.selected);
    }
}

- (NSArray *)titles {
    if (!_titles) {
        _titles = @[@"删除所有围栏", @"添加围栏", @"显示设置"];
    }
    return _titles;
}

@end
